Переустановка PostgreSQL

Автор Denix, 14 февраля 2012, 12:07:23

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

Denix

Здравствуйте. Я начинающий юзер, не бейте. Переустанавливаю Постгрис на версию пропаченую для 1С а именно была 8.4.4 а должна стать 9.0.2. В одном из пунктов "пошаговой" инструкции было выполнение команды dpkg -i *.deb  из каталога  в котором содержатся пакеты Постгриса. Однако устанавливается только первый пакет из набора. Для остальных генерируется следующее:

Открыть содержимое (спойлер)
"root@debian:/var/opt/1cinstall/postgres_64_9.0# dpkg -i *.deb
(Чтение базы данных ... на данный момент установлено 107592 файла и каталога.)
Подготовка к замене пакета libpq5.2-9.0eter 9.0.2-eter8debian
(используется файл libpq5.2-9.0eter_9.0.2-eter8debian_amd64.deb)
...Распаковывается замена для пакета libpq5.2-9.0eter
...Распаковывается пакет postgre-etersoft9.0
(из файла postgre-etersoft9.0_9.0.2-eter8debian_amd64.deb)
...dpkg: не удалось обработать параметр postgre-etersoft9.0_9.0.2-eter8debian_amd64.deb (--install):
попытка перезаписать «/usr/bin/clusterdb», который уже имеется в пакете postgresql-client-common 113
dpkg-deb: подпроцесс вставка завершён по сигналу (Обрыв канала)

Распаковывается пакет postgre-etersoft9.0-contrib
(из файла postgre-etersoft9.0-contrib_9.0.2-eter8debian_amd64.deb)
... dpkg: не удалось обработать параметр postgre-etersoft9.0-contrib_9.0.2-eter8debian_amd64.deb (--install):
  попытка перезаписать «/usr/bin/vacuumlo», который уже имеется в пакете postgresql-client-common 113

  Подготовка к замене пакета postgre-etersoft9.0-docs 9.0.2-eter8debian
(используется файл postgre-etersoft9.0-docs_9.0.2-eter8debian_amd64.deb)
...
  Распаковывается замена для пакета postgre-etersoft9.0-docs
...
  Подготовка к замене пакета postgre-etersoft9.0-plperl 9.0.2-eter8debian
(используется файл postgre-etersoft9.0-plperl_9.0.2-eter8debian_amd64.deb)
...
  Распаковывается замена для пакета postgre-etersoft9.0-plperl
...
  Подготовка к замене пакета postgre-etersoft9.0-plpython 9.0.2-eter8debian
(используется файл postgre-etersoft9.0-plpython_9.0.2-eter8debian_amd64.deb)
...
  Распаковывается замена для пакета postgre-etersoft9.0-plpython
...
  Подготовка к замене пакета postgre-etersoft9.0-seltaaddon 9.0.2-eter8debian (используется файл postgre-etersoft9.0-seltaaddon_9.0.2-eter8debian_amd64.deb)
...
  Распаковывается замена для пакета postgre-etersoft9.0-seltaaddon
...
  Распаковывается пакет postgre-etersoft9.0-server (из файла postgre-etersoft9.0-server_9.0.2-eter8debian_amd64.deb)
...
  dpkg: не удалось обработать параметр postgre-etersoft9.0-server_9.0.2-eter8debian_amd64.deb (--install):
   попытка перезаписать «/etc/init.d/postgresql», который уже имеется в пакете postgresql-common 113
   Настраивается пакет libpq5.2-9.0eter (9.0.2-eter8debian) ...
   Generating locales (this might take a while)...
   
   
Generation complete.
Настраивается пакет postgre-etersoft9.0-docs (9.0.2-eter8debian) ...
Настраивается пакет postgre-etersoft9.0-plperl (9.0.2-eter8debian) ...
Настраивается пакет postgre-etersoft9.0-plpython (9.0.2-eter8debian) ...
Настраивается пакет postgre-etersoft9.0-seltaaddon (9.0.2-eter8debian) ...
При обработке следующих пакетов произошли ошибки:
  postgre-etersoft9.0_9.0.2-eter8debian_amd64.deb
   postgre-etersoft9.0-contrib_9.0.2-eter8debian_amd64.deb
    postgre-etersoft9.0-server_9.0.2-eter8debian_amd64.deb
    root@debian:/var/opt/1cinstall/postgres_64_9.0# No protocol specified
[свернуть]
   
вот как-то так... Направте на путь истинный братья !

Metrix

Открыть содержимое (спойлер)
Denix, в следующий раз прячьте логи под спойлер ;)
[свернуть]
Юзербар в отпуске

Denix


Metrix

Denix, сначала удалить старую версию пробывали?
Юзербар в отпуске

Denix

как проверить ? В процессах постгиса нет.

ihammers

Цитата: Denix от 14 февраля 2012, 12:25:02
как проверить ? В процессах постгиса нет.
Посмотрите вывод команды:
dpkg -l | grep -i post
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

Denix

#6
Открыть содержимое (спойлер)
ii  ghostscript                          8.71~dfsg2-9                      The GPL Ghostscript PostScript/PDF interpreter
ii  ghostscript-cups                     8.71~dfsg2-9                      The GPL Ghostscript PostScript/PDF interpreter - CUPS filters
ii  hp-ppd                               0.9-0.1                           HP Postscript Printer Definition (PPD) files
ii  libgs8                               8.71~dfsg2-9                      The Ghostscript PostScript/PDF interpreter Library
ii  libpostproc51                        4:0.5.6-3                         ffmpeg video postprocessing library
ii  libpq5                               8.4.10-0squeeze1                  PostgreSQL C client library
ii  libpq5.2-9.0eter                     9.0.2-eter8debian                 The shared libraries required for any PostgreSQL clients
ii  libspectre1                          0.2.6-1                           Library for rendering PostScript documents
ii  libxine1-misc-plugins                1.1.19-2                          Input, audio output and post plugins for libxine1
ii  postgre-etersoft9.0-docs             9.0.2-eter8debian                 Extra documentation for PostgreSQL
ii  postgre-etersoft9.0-plperl           9.0.2-eter8debian                 The Perl procedural language for PostgreSQL
ii  postgre-etersoft9.0-plpython         9.0.2-eter8debian                 The Python procedural language for PostgreSQL
ii  postgre-etersoft9.0-seltaaddon       9.0.2-eter8debian                 Selta addon for postgresql
ii  postgre-etersoft9.0-server           9.0.2-eter8debian                 The programs needed to create and run a PostgreSQL server
rc  postgresql-8.4                       8.4.10-0squeeze1                  object-relational SQL database, version 8.4 server
ii  postgresql-client                    8.4.10-0squeeze1                  front-end programs for PostgreSQL (supported version)
ii  postgresql-client-8.4                8.4.10-0squeeze1                  front-end programs for PostgreSQL 8.4
ii  postgresql-client-common             113                               manager for multiple PostgreSQL client versions
rc  postgresql-common                    113                               PostgreSQL database-cluster manager
ii  postgresql-doc                       8.4.10-0squeeze1                  documentation for the PostgreSQL database management system
ii  postgresql-doc-8.4                   8.4.10-0squeeze1                  documentation for the PostgreSQL database management system
ii  t1-cyrillic                          4.13                              A basic set of free PostScript fonts
ii  t1-teams                             4.13                              Teams -- a PostScript font covering ASCII and basic Cyrillic
ii  ttf2pt1                              3.4.4-1.3                         A TrueType to PostScript Type 1 Font Converter
[свернуть]

Сообщение объединено: 15 февраля 2012, 15:08:35

И как с этим боротся ? Как его деинсталировать корректно ?

Сообщение объединено: 15 февраля 2012, 15:33:30

To remove an installed elvis package:
            dpkg -r elvis
(из man dpkg)

что-то типа
             dpkg -r postgreSQL  ???

ihammers

Цитата: Denix от 15 февраля 2012, 15:06:46
И как с этим боротся ? Как его деинсталировать корректно ?

Сообщение объединено: 15 февраля 2012, 15:33:30

To remove an installed elvis package:
            dpkg -r elvis
(из man dpkg)

что-то типа
             dpkg -r postgreSQL  ???
Можно и через dpkg, но мне привычнее через "apt-get remove program_name".
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

Denix

вроде убил все, но как-то странно устанавливается.. очень быстро и с вот такой билибердой
Открыть содержимое (спойлер)
Выбор ранее не выбранного пакета postgre-etersoft9.0-seltaaddon.
Распаковывается пакет postgre-etersoft9.0-seltaaddon (из файла postgre-etersoft9.0-seltaaddon_9.0.2-eter8debian_amd64.deb)...
Выбор ранее не выбранного пакета postgre-etersoft9.0-server.
Распаковывается пакет postgre-etersoft9.0-server (из файла postgre-etersoft9.0-server_9.0.2-eter8debian_amd64.deb)...
Настраивается пакет postgre-etersoft9.0 (9.0.2-eter8debian) ...
Настраивается пакет postgre-etersoft9.0-contrib (9.0.2-eter8debian) ...
Настраивается пакет postgre-etersoft9.0-docs (9.0.2-eter8debian) ...
Настраивается пакет postgre-etersoft9.0-plperl (9.0.2-eter8debian) ...
Настраивается пакет postgre-etersoft9.0-plpython (9.0.2-eter8debian) ...
Настраивается пакет postgre-etersoft9.0-seltaaddon (9.0.2-eter8debian) ...
Настраивается пакет postgre-etersoft9.0-server (9.0.2-eter8debian) ...
update-rc.d: using dependency based boot sequencing
insserv: warning: script 'K01srv1cv82' missing LSB tags and overrides
insserv: warning: script 'postgresql' missing LSB tags and overrides
insserv: warning: script 'postgresql.outformat' missing LSB tags and overrides
insserv: warning: script 'srv1cv82' missing LSB tags and overrides
[свернуть]
что теперь то не так ?

ihammers

Цитата: Denix от 16 февраля 2012, 20:45:10
insserv: warning: script 'K01srv1cv82' missing LSB tags and overrides
insserv: warning: script 'postgresql' missing LSB tags and overrides
insserv: warning: script 'postgresql.outformat' missing LSB tags and overrides
insserv: warning: script 'srv1cv82' missing LSB tags and overrides
Если верить статье, то всё нормально.  Эти ошибки не должны влиять на работу.  Проверьте запущен ли сервер.
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

Denix

#10
на одном из форумов прочитал, что нужно остановить процесс 1С - но это не помогло...

Сообщение объединено: 17 февраля 2012, 17:01:57

Спасибо всем кто помогал мне! Все успешно разрулил! Теперь 1С на новом клевом серваке будет долго работать!